searchNodes=[{"doc":"Set of custom functions to enhance the UX with NimbleOptions .","ref":"NimbleOptionsEx.html","title":"NimbleOptionsEx","type":"module"},{"doc":"Validates that the term passed implements Access behaviour. Example: iex&gt; schema = [ ...&gt; container : [ ...&gt; required : true , ...&gt; type : { :custom , NimbleOptionsEx , :access? , [ ] } , ...&gt; doc : &quot;The implementation of `Access` to be used as a storage&quot; ...&gt; ] ...&gt; ] iex&gt; NimbleOptions . validate ( [ container : %{ } ] , schema ) { :ok , [ container : %{ } ] } iex&gt; NimbleOptions . validate ( [ container : [ foo : :bar ] ] , schema ) { :ok , [ container : [ foo : :bar ] ] } iex&gt; NimbleOptions . validate ( [ container : [ 1 , 2 , 3 ] ] , schema ) { :error , % NimbleOptions.ValidationError { message : &quot;invalid value for :container option: expected a keyword list, got a list ‹[1, 2, 3]›&quot; , key : :container , value : [ 1 , 2 , 3 ] , keys_path : [ ] } }","ref":"NimbleOptionsEx.html#access?/1","title":"NimbleOptionsEx.access?/1","type":"function"},{"doc":"Validates a behaviour specified as a module or as a set of functions. Example: iex&gt; schema = [ ...&gt; container : [ ...&gt; required : true , ...&gt; type : { :custom , NimbleOptionsEx , :behaviour , [ Supervisor ] } , ...&gt; doc : &quot;The implementation of `Supervisor` to be used as a supervisor&quot; ...&gt; ] ...&gt; ] iex&gt; NimbleOptions . validate ( [ container : DynamicSupervisor ] , schema ) { :ok , [ container : DynamicSupervisor ] } iex&gt; NimbleOptions . validate ( [ container : DateTime ] , schema ) { :error , % NimbleOptions.ValidationError { message : &quot;invalid value for :container option: module ‹DateTime› does not implement requested callbacks ‹[init: 1]›&quot; , key : :container , value : DateTime , keys_path : [ ] } } If no arguments are given, the checker would make sure the module passed is indeed a module, available at the moment of invocation. Please note, that Access behaviour is somewhat special, because it’s supported for terms , such as maps %{foo: :bar} (not Map ,) keywords [foo: :bar] (not Keyword ,) and structs %Strct{foo: :bar} (not Strct module itself.) Use access?/1 validator to check whether Access is supported by a term itself .","ref":"NimbleOptionsEx.html#behaviour/2","title":"NimbleOptionsEx.behaviour/2","type":"function"},{"doc":"","ref":"readme.html","title":"NimbleOptionsEx","type":"extras"},{"doc":"behaviour/2 schema = [ container : [ required : true , type : { :custom , NimbleOptionsEx , :behaviour , [ Supervisor ] } , doc : &quot;The implementation of `Supervisor` to be used as a supervisor&quot; ] ] NimbleOptions . validate ( [ container : DynamicSupervisor ] , schema ) #⇒ {:ok, [container: DynamicSupervisor]} NimbleOptions . validate ( [ container : DateTime ] , schema ) #⇒ {:error, %NimbleOptions.ValidationError{ # message: &quot;[…] ‹DateTime› does not implement requested callbacks ‹[init: 1]›&quot;, # key: :container, value: DateTime, keys_path: []}} access?/1 schema = [ container : [ required : true , type : { :custom , NimbleOptionsEx , :access? , [ ] } , doc : &quot;The implementation of `Access` to be used as a storage&quot; ] ] NimbleOptions . validate ( [ container : %{ } ] , schema ) #⇒ {:ok, [container: %{}]} NimbleOptions . validate ( [ container : [ foo : :bar ] ] , schema ) #⇒ {:ok, [container: [foo: :bar]]} NimbleOptions . validate ( [ container : [ 1 , 2 , 3 ] ] , schema ) #⇒ {:error, %NimbleOptions.ValidationError{ # message: &quot;[…] expected a keyword list, got a list ‹[1, 2, 3]›&quot;, # key: :container, value: [1, 2, 3], keys_path: []}}","ref":"readme.html#addons-to-nimbleoptions","title":"NimbleOptionsEx - Addons to NimbleOptions","type":"extras"},{"doc":"def deps do [ { :nimble_options_ex , &quot;~&gt; 0.1&quot; } ] end","ref":"readme.html#installation","title":"NimbleOptionsEx - Installation","type":"extras"},{"doc":"","ref":"readme.html#documentation","title":"NimbleOptionsEx - Documentation","type":"extras"}]